Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create support ticket message

POST/workspaces/{organizationId}/support/tickets/{ticketId}/messages
Path parameters
organizationIdstringrequired
ticketIdstringrequired
Request body
application/json
directionstringrequired
Allowed:inboundoutbound
textContentstringrequired
markdownContentstring
channelstringrequired
Allowed:emailslackmsteamsdiscordchatcaptureapiintercomzendeskplainlinear
customerIdstring
userIdstring
actorTypestring
Allowed:customeruseragentautomation
actorIdstring | null
subTypestring | null
metadataobject
Responses
201Message added
eventobjectrequired
Show properties
idstringrequired
ticketIdstringrequired
typestringrequired
subTypestring | nullrequired
actorTypestringrequired
actorIdstring | nullrequired
metadatastring | nullrequired
externalIdstring | nullrequired
createdAtstringrequired
messageobject
Show properties
idstringrequired
eventIdstringrequired
directionstringrequired
Allowed:inboundoutbound
textContentstringrequired
markdownContentstring | nullrequired
channelstringrequired
Allowed:emailslackmsteamsdiscordchatcaptureapiintercomzendeskplainlinear
customerIdstring | nullrequired
userIdstring | nullrequired
noteobject
Show properties
idstringrequired
eventIdstringrequired
bodystringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/support/tickets/string/messages" \
  -H "Content-Type: application/json" \
  -d '{
  "direction": "inbound",
  "textContent": "string",
  "markdownContent": "string",
  "channel": "email",
  "customerId": "string",
  "userId": "string",
  "actorType": "customer",
  "actorId": "string",
  "subType": "string",
  "metadata": {
    "property1": null,
    "property2": null
  }
}'
Response
{
  "event": {
    "id": "string",
    "ticketId": "string",
    "type": "string",
    "subType": "string",
    "actorType": "string",
    "actorId": "string",
    "metadata": "string",
    "externalId": "string",
    "createdAt": "string",
    "message": {
      "id": "string",
      "eventId": "string",
      "direction": "inbound",
      "textContent": "string",
      "markdownContent": "string",
      "channel": "email",
      "customerId": "string",
      "userId": "string"
    },
    "note": {
      "id": "string",
      "eventId": "string",
      "body": "string"
    }
  }
}